/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：元素目录管理
*
* createdate:  2022-11-04 09:57:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "元素目录管理")
public class AtuElementGroupAddDto implements Serializable
{
    /**
     * 父目录ID<br>
     */
    @ApiModelProperty("父目录ID")
    @Size(max = 32, message="父目录ID-pid: 数据长度不能 > 32" )
    private String pid;
    /**
     * 目录名称<br>
     */
    @ApiModelProperty("目录名称")
    @Size(max = 255, message="目录名称: 数据长度不能 > 255" )
    private String groupName;
    /**
     * 目录描述<br>
     */
    @ApiModelProperty("目录描述")
    @Size(max = 255, message="目录描述-description: 数据长度不能 > 255" )
    private String description;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}